Bug 472662 - Review Request: beanstalkd - fast, distributed, in-memory workqueue service
Review Request: beanstalkd - fast, distributed, in-memory workqueue service
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-23 01:54 EST by Jeremy Hinegardner
Modified: 2008-12-31 00:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-31 00:58:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jeremy Hinegardner 2008-11-23 01:54:38 EST
Spec URL: http://jjh.fedorapeople.org/beanstalkd/beanstalkd.spec
SRPM URL: http://jjh.fedorapeople.org/beanstalkd/beanstalkd-1.1-1.fc10.src.rpm
Description: beanstalkd is a fast, distributed, in-memory workqueue service. Its
interface is generic, but was originally designed for reducing the
latency of page views in high-volume web applications by running most
time-consuming tasks asynchronously.
Comment 1 Kevin Fenzi 2008-12-03 23:09:06 EST
I'll go ahead and review this... look for a full review in a bit.
Comment 2 Kevin Fenzi 2008-12-03 23:20:45 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
36be022bb59545df51b537f0e423d2d6  beanstalkd-1.1.tar.gz
36be022bb59545df51b537f0e423d2d6  beanstalkd-1.1.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.


OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version



I don't see any issues here, this package is APPROVED.
Comment 3 Jeremy Hinegardner 2008-12-04 01:27:55 EST
New Package CVS Request
Package Name: beanstalkd
Short Description: A fast, distributed, in-memory workqueue service
Owners: jjh
Branches: F-9 F-10
Comment 4 Kevin Fenzi 2008-12-05 00:11:45 EST
cvs done. 

Do consider supporting EPEL if this package builds/works on EL hosts.
Comment 5 Jeremy Hinegardner 2008-12-05 12:52:06 EST
Thanks, that is the plan.
Comment 6 Jeremy Hinegardner 2008-12-31 00:27:01 EST
Package Change Request
Package Name: beanstalkd
New Branches: EL-5
Owners: jjh
Comment 7 Kevin Fenzi 2008-12-31 00:46:52 EST
cvs done.
Comment 8 Jeremy Hinegardner 2008-12-31 00:58:17 EST
builds and updates submitted

Note You need to log in before you can comment on or make changes to this bug.